Jump to content

Lisp : Convert Polyline to Cloud


mfadzli

Recommended Posts

When using the revcloud function all you have to do is select the linetype that you want it to be first before using revcloud, if the what you are looking to use is not in the list of linetypes that ACAD supply's then make you own.

Link to comment
Share on other sites

Just make a new line type then its just change properties, search make linetype

 

Customization Guide

example modified referenced to the guide

*DOUBLE_ll,CLOUD --- ll --- ll ---
A,2.0,-0.30,["ll",Standard,S=1.0,R=0.0,X=-0.0,Y=-0.5],-1.0

for better effect use romans.shx font

Link to comment
Share on other sites

Customization Guide

example modified referenced to the guide

*DOUBLE_ll,CLOUD --- ll --- ll ---
A,2.0,-0.30,["ll",Standard,S=1.0,R=0.0,X=-0.0,Y=-0.5],-1.0

for better effect use romans.shx font

 

Hi Dear friend , Merry Christmas!

can use programming to solve this problem ?

http://www.cadtutor.net/forum/showthread.php?90217-choose-problem

Link to comment
Share on other sites

  • 2 weeks later...

i forgot where i got this but this will automatically convert the polyline created into cloud.

 

;routine to create pline-cloud
(defun c:plc (/ *error* l1 l2)
(setq o_ortho (getvar "orthomode"))
(setvar "orthomode" 1)
(command "-layer" "set" "0" "")
   (defun *error* (msg)
   (setvar "cmdecho" 1)
   (if (= msg "")
       (princ "\nFunction Complete.")
       (princ "\nError or Esc Pressed!")
   ) 
   (princ)
   )
   (setvar "cmdecho" 0)
   (prompt "\nDraw Polyline.")
   (command "_pline")
   (while (> (getvar "cmdactive") 0) (command pause))
   (setq l1 (entlast))
   (command "_pedit" l1 "c" "")
   (setq l2 (entlast))
   (prompt "\nReverse Cloud Direction? [Yes/No]: ")
   (command "_revcloud" "o" l2 pause "")
(command "pedit" "l" "w" "0.5" "")
(setvar "orthomode" o_ortho)
   (*error* "")
   (princ)
)
(princ "\n Type PLC to run.")

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...